Skip to content
Permalink
Browse files

1.22.51

[ci skip]
  • Loading branch information
Travis CI
Travis CI committed Feb 14, 2020
1 parent ba44a84 commit 9a45a75626f1480761043df804af6045377ca4c3
@@ -221,13 +221,13 @@ console.log (ccxt.exchanges) // print all available exchanges

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

* jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js
* unpkg: https://unpkg.com/ccxt@1.22.50/dist/ccxt.browser.js
* jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js
* unpkg: https://unpkg.com/ccxt@1.22.51/dist/ccxt.browser.js

CDNs are not updated in real-time and may have delays. Defaulting to the most recent version without specifying the version number is not recommended. Please, keep in mind that we are not responsible for the correct operation of those CDN servers.

```HTML
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js"></script>
```

Creates a global `ccxt` object:
@@ -35,7 +35,7 @@ const Exchange = require ('./js/base/Exchange')
//-----------------------------------------------------------------------------
// this is updated by vss.js when building

const version = '1.22.50'
const version = '1.22.51'

Exchange.ccxtVersion = version

@@ -43,7 +43,7 @@ const Exchange = require ('./js/base/Exchange')
//-----------------------------------------------------------------------------
// this is updated by vss.js when building

const version = '1.22.50'
const version = '1.22.51'

Exchange.ccxtVersion = version

'YOYOW': 'yoyow',
'ZEC': 'zcash',
'ZRX': 'zrx',
'XTZ': 'tezos',
'XTZ': 'xtz',
},
'orderTypes': {
'limit': 'exchange limit',
@@ -360,14 +360,14 @@ JavaScript (for use with the ``<script>`` tag):

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.50/dist/ccxt.browser.js
- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.51/dist/ccxt.browser.js

CDNs are not updated in real-time and may have delays. Defaulting to the most recent version without specifying the version number is not recommended. Please, keep in mind that we are not responsible for the correct operation of those CDN servers.

.. code:: html

<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js"></script>

Creates a global ``ccxt`` object:

@@ -62,14 +62,14 @@ JavaScript (for use with the ``<script>`` tag):

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.50/dist/ccxt.browser.js
- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.51/dist/ccxt.browser.js

You can obtain a live-updated version of the bundle by removing the version number from the URL (the ``@a.b.c`` thing) — however, we do not recommend to do that, as it may break your app eventually. Also, please keep in mind that we are not responsible for the correct operation of those CDN servers.

.. code:: html

<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js"></script>

Creates a global ``ccxt`` object:

Some generated files are not rendered by default. Learn more.

@@ -1,6 +1,6 @@
{
"name": "ccxt",
"version": "1.22.50",
"version": "1.22.51",
"description": "A JavaScript / Python / PHP cryptocurrency trading library with support for 130+ exchanges",
"main": "./ccxt.js",
"unpkg": "dist/ccxt.browser.js",
@@ -35,7 +35,7 @@
use Elliptic\EC;
use BN\BN;

$version = '1.22.50';
$version = '1.22.51';

// rounding mode
const TRUNCATE = 0;
@@ -54,7 +54,7 @@

class Exchange {

const VERSION = '1.22.50';
const VERSION = '1.22.51';

public static $eth_units = array (
'wei' => '1',
@@ -414,7 +414,7 @@ public function describe () {
'YOYOW' => 'yoyow',
'ZEC' => 'zcash',
'ZRX' => 'zrx',
'XTZ' => 'tezos',
'XTZ' => 'xtz',
),
'orderTypes' => array(
'limit' => 'exchange limit',
@@ -360,14 +360,14 @@ JavaScript (for use with the ``<script>`` tag):

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.50/dist/ccxt.browser.js
- jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js
- unpkg: https://unpkg.com/ccxt@1.22.51/dist/ccxt.browser.js

CDNs are not updated in real-time and may have delays. Defaulting to the most recent version without specifying the version number is not recommended. Please, keep in mind that we are not responsible for the correct operation of those CDN servers.

.. code:: html

<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js"></script>

Creates a global ``ccxt`` object:

@@ -22,7 +22,7 @@

# ----------------------------------------------------------------------------

__version__ = '1.22.50'
__version__ = '1.22.51'

# ----------------------------------------------------------------------------

@@ -4,7 +4,7 @@

# -----------------------------------------------------------------------------

__version__ = '1.22.50'
__version__ = '1.22.51'

# -----------------------------------------------------------------------------

@@ -2,7 +2,7 @@

# -----------------------------------------------------------------------------

__version__ = '1.22.50'
__version__ = '1.22.51'

# -----------------------------------------------------------------------------

@@ -425,7 +425,7 @@ def describe(self):
'YOYOW': 'yoyow',
'ZEC': 'zcash',
'ZRX': 'zrx',
'XTZ': 'tezos',
'XTZ': 'xtz',
},
'orderTypes': {
'limit': 'exchange limit',
@@ -4,7 +4,7 @@

# -----------------------------------------------------------------------------

__version__ = '1.22.50'
__version__ = '1.22.51'

# -----------------------------------------------------------------------------

Some generated files are not rendered by default. Learn more.

@@ -58,13 +58,13 @@ If that does not help, please, follow here: https://github.com/nodejs/node-gyp#o

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

* jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js
* unpkg: https://unpkg.com/ccxt@1.22.50/dist/ccxt.browser.js
* jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js
* unpkg: https://unpkg.com/ccxt@1.22.51/dist/ccxt.browser.js

You can obtain a live-updated version of the bundle by removing the version number from the URL (the `@a.b.c` thing) — however, we do not recommend to do that, as it may break your app eventually. Also, please keep in mind that we are not responsible for the correct operation of those CDN servers.

```HTML
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.50/dist/ccxt.browser.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.22.51/dist/ccxt.browser.js"></script>
```

Creates a global `ccxt` object:

0 comments on commit 9a45a75

Please sign in to comment.
You can’t perform that action at this time.